Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.error
Class MissingConnectionPropertiesModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.error.ErrorModel
              portlets.compoze.groupware.model.error.ConnectionModel
                  portlets.compoze.groupware.model.error.MissingConnectionPropertiesModel

All Implemented Interfaces:
  java.io.Serializable

public class MissingConnectionPropertiesModel
extends ConnectionModel
implements java.io.Serializable

This abstract class represents data for missing connection properties.

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.error.ErrorModel
`m_error`

Constructor Summary
`MissingConnectionPropertiesModel(FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MissingConnectionPropertiesException error)` Constructor.

Method Summary
`MissingConnectionPropertiesException` | `getMissingConnectionPropertiesException()` Gets the connection exception.

Methods inherited from class portlets.compoze.groupware.model.error.ConnectionModel
`getConnectionException`

Methods inherited from class portlets.compoze.groupware.model.error.ErrorModel
`getException`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MissingConnectionPropertiesModel

    public MissingConnectionPropertiesModel(FeatureGroup featureGroup,
                                            GroupwarePreferences groupwarePrefs,
                                            MissingConnectionPropertiesException error)

  Constructor.

Parameters:
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `error` - the exception

Method Detail

### getMissingConnectionPropertiesException

    public MissingConnectionPropertiesException getMissingConnectionPropertiesException()

  Gets the connection exception.

  Returns:
    the connection exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.